<?php
// +-------------------------------------------------+
// © 2002-2004 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: rdf_entities_converter_linked_work.class.php,v 1.4 2025/02/06 09:22:28 rtigero Exp $

if (stristr($_SERVER['REQUEST_URI'], ".class.php")) {
    die("no access");
}

global $class_path;

require_once $class_path . '/rdf_entities_conversion/rdf_entities_converter.class.php';

class rdf_entities_converter_linked_work extends rdf_entities_converter
{

    public static $table_name = 'tu_oeuvres_links';

    public static $table_key = 'oeuvre_link_to';

    public $abstract_entity = true;

    protected function init_map_fields()
    {
        $this->map_fields = array_merge(parent::init_map_fields(), array(
            'oeuvre_link_type' => 'http://www.pmbservices.fr/ontology#relation_type_work',
        ));
        return $this->map_fields;
    }

    protected function init_foreign_fields()
    {
        $this->foreign_fields = array_merge(parent::init_foreign_fields(), array(
            'oeuvre_link_to' => array(
            'type' => 'work',
            'property' => 'http://www.pmbservices.fr/ontology#has_work'
            )
        ));
        return $this->foreign_fields;
    }

}
